%global srcname molecule-docker
%global setup_flags SKIP_PIP_INSTALL=1 PBR_VERSION=%{version}

Name: python-molecule-docker
Version: 1.1.0
Release: 2%{?dist}
Summary: Molecule Docker plugin
License: MIT

URL: https://github.com/ansible-community/molecule-docker
Source0: %{pypi_source}

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%global common_description %{expand:
Molecule Docker Plugin is designed to allow use docker containers for
provisioning test resources.}

%description %{common_description}

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/molecule_docker-%{version}.dist-info
%{python3_sitelib}/molecule_docker/

%doc *.rst

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 1.1.0
- Update to version 1.1.0 (#2017729)

* Thu Sep 30 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 1.0.2
- Update to version 1.0.2 (#1997956)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.4-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.2.4-1
- update to version 0.2.4

* Thu Oct 15 2020 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.2-1
- initial package
